Index: settings/site.ini
===================================================================
--- settings/site.ini	(revision 24126)
+++ settings/site.ini	(working copy)
@@ -1032,6 +1032,10 @@
 # SendmailOptions[]=-r
 # SendmailOptions[]=muchspam@ez.no
 SendmailOptions[]
+# Set extra mail headers here
+# Each option is defined with a key/value. e.g.
+# ExtraHeaders[X-MailerID]=Outlook
+ExtraHeaders[]
 
 [ShopSettings]
 # This settings controls when the basket is cleared.
Index: lib/ezutils/classes/ezmail.php
===================================================================
--- lib/ezutils/classes/ezmail.php	(revision 24126)
+++ lib/ezutils/classes/ezmail.php	(working copy)
@@ -79,6 +79,13 @@
 
         if ( $ini->hasVariable( 'MailSettings', 'ContentType' ) )
             $this->setContentType( $ini->variable( 'MailSettings', 'ContentType' ) );
+		if ( $ini->hasVariable( 'MailSettings', 'ExtraHeaders' ) )
+		{
+			foreach ( $ini->variable( 'MailSettings', 'ExtraHeaders' ) as $headerName => $headerValue )
+			{
+				$this->addExtraHeader( $headerName, $headerValue );
+			}
+		}
     }
 
     /*!
